Debian Bug report logs - #686158
browser-plugin-gnash: Segfault in libgnashplugin.so despite `startStopped on`

version graph

Package: browser-plugin-gnash; Maintainer for browser-plugin-gnash is Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>; Source for browser-plugin-gnash is src:gnash.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Wed, 29 Aug 2012 09:33:01 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version gnash/0.8.11~git20120629-1

Done: Gabriele Giacone <1o5g4r8o@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.gnu.org/bugs/?37077

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>:
Bug#686158; Package browser-plugin-gnash. (Wed, 29 Aug 2012 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>. (Wed, 29 Aug 2012 09:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: browser-plugin-gnash: Segfault in libgnashplugin.so despite `startStopped on`
Date: Wed, 29 Aug 2012 11:28:41 +0200
[Message part 1 (text/plain, inline)]
Package: browser-plugin-gnash
Version: 0.8.11~git20120629-1
Severity: important
Tags: upstream
Control: -1 forwarded http://savannah.gnu.org/bugs/?37077

Dear Debian folks,


using Midori and opening several tabs of Flash using pages like Phoronix
articles [2], libgnashplugin.so segfaults more or less reliably.

I reported this upstream with the back trace [1] but did not get a
response yet. A emphasize again that this is very strange, since
`startStopped on` is set.


Thanks,

Paul


[1] http://savannah.gnu.org/bugs/?37077
[2] http://www.phoronix.com/

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages browser-plugin-gnash depends on:
ii  gnash                     0.8.11~git20120629-1
ii  libboost-iostreams1.49.0  1.49.0-3.1
ii  libc6                     2.13-35
ii  libgcc1                   1:4.7.1-7
ii  libglib2.0-0              2.32.3-1
ii  libstdc++6                4.7.1-7
ii  libx11-6                  2:1.5.0-1

browser-plugin-gnash recommends no packages.

Versions of packages browser-plugin-gnash suggests:
ii  browser-plugin-lightspark  0.6.0.1-2

-- Configuration Files:
/etc/gnashpluginrc changed:
set startStopped on


-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>:
Bug#686158; Package browser-plugin-gnash. (Wed, 29 Aug 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>. (Wed, 29 Aug 2012 09:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 686158@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 686158@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: browser-plugin-gnash: Segfault in libgnashplugin.so despite `startStopped on`
Date: Wed, 29 Aug 2012 11:42:56 +0200
[Message part 1 (text/plain, inline)]
forwarded 686158 http://savannah.gnu.org/bugs/?37077
quit


Am Mittwoch, den 29.08.2012, 11:28 +0200 schrieb Paul Menzel:
> Package: browser-plugin-gnash
> Version: 0.8.11~git20120629-1
> Severity: important
> Tags: upstream
> Control: -1 forwarded http://savannah.gnu.org/bugs/?37077

Get syntax right.

[…]


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://savannah.gnu.org/bugs/?37077'. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Wed, 29 Aug 2012 09:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>:
Bug#686158; Package browser-plugin-gnash. (Fri, 14 Dec 2012 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>. (Fri, 14 Dec 2012 22:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 686158@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 686158@bugs.debian.org
Subject: Re: browser-plugin-gnash: Segfault in libgnashplugin.so despite `startStopped on`
Date: Fri, 14 Dec 2012 23:48:22 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 fixed-upstream
Control: affects -1 midori


Am Mittwoch, den 29.08.2012, 11:28 +0200 schrieb Paul Menzel:

[…]

> using Midori and opening several tabs of Flash using pages like Phoronix
> articles [2], libgnashplugin.so segfaults more or less reliably.
> 
> I reported this upstream with the back trace [1] but did not get a
> response yet. A emphasize again that this is very strange, since
> `startStopped on` is set.

one constructor does not initialize all variables used for file
descriptor numbers causing a segmentation fault later on in `FD_SET`.
Upstream pushed a commit [3] supposedly fixing this issue. It would be
great if that could be backported and the fixed version also uploaded
for Wheezy. I rebuild the package with the patch applied and it worked.

By the way, the attached patch to the upstream bug report [4] has a more
elaborate commit message.


Thanks,

Paul


> [1] http://savannah.gnu.org/bugs/?37077
> [2] http://www.phoronix.com/
[3] http://git.savannah.gnu.org/cgit/gnash.git/commit/?id=bcd78c4c862f40ca1bdbb90bc88a1bc7970296fc
[4] https://savannah.gnu.org/bugs/download.php?file_id=27086
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Paul Menzel <pm.debian@googlemail.com> to 686158-submit@bugs.debian.org. (Fri, 14 Dec 2012 22:51:03 GMT) Full text and rfc822 format available.

Added indication that 686158 affects midori Request was from Paul Menzel <pm.debian@googlemail.com> to 686158-submit@bugs.debian.org. (Fri, 14 Dec 2012 22:51:04 GMT) Full text and rfc822 format available.

Reply sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
You have taken responsibility. (Sat, 07 Sep 2013 16:30:20 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 16:30:20 GMT) Full text and rfc822 format available.

Message #26 received at 686158-done@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: 686158-done@bugs.debian.org
Subject: Re: Bug#686158: browser-plugin-gnash: Segfault in libgnashplugin.so despite `startStopped on`
Date: Sat, 7 Sep 2013 18:27:42 +0200
Uploaded 0.8.11~git20130903-2.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Oct 2013 07:32:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:47:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.